# Babelbox Packer build

This repository provides build configuration and Debian installer preseed files
for building [Babelbox](https://wiki.debian.org/DebianInstaller/BabelBox)
virtual machine images for QEMU/KVM and VirtualBox using [HashiCorp
Packer](https://packer.io/).

## Building the VM images

The images need to be built in separate steps because VirtualBox and KVM cannot
reserve the needed CPU extension (VT-x, AMD-V) at the same time.

```
packer build --only=qemu debian-babelbox.json
packer build --only=virtualbox-iso debian-babelbox.json
```

## Preparing for Babelbox demo

Due to image size reasons we do not include a Debian DVD ISO image into the
image. Therefore the VMs have to be booted into the regular OS (first Grub menu
option). Login as user `demo` with password `babelbox`. The shell should start
to download a Debian DVD ISO image into `/srv/`.

If this does not work due to connectivity or DNS issues you have `vim` and
`sudo` in your toolbelt.
